<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.8.0/css/bulma.css">
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
    <link rel="stylesheet" href="./public/styles.css">

    <title>Hello, world!</title>
</head>

<body>
    <div id="app">
        <h2 class="title has-text-centered dividing-header">UpVote !</h2>
        <div class="columns">
            <div class="column is-half is-offset-one-quarter">
                <div class="section">
                    <article class="media" v-for="submission in sortedSubmissions" :key="submission.id"
                        :class="{'blue-border': submission.votes >= 25}">

                        <submission-component
                            :submission="submission" 
                            :submissions="sortedSubmissions">
                        </submission-component>


                    </article>
                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="./seed.js"></script>
    <script src="./main.js"></script>

</body>

</html>

